Subject: FW: Clarification Requested: Definition of “Permanent Intermediation Activity” for Cross-Border Temporary Agency Work
From: "info - MKM" <[email-masked]>
To: "info - MKM" <[email-masked]>
Date: Wed, 26 Nov 2025 13:35:17 +0200

_____

Saatja: Stefán Darri Þórsson <[email-masked]
<mailto:[email-masked]> >
Saadetud: teisipäev, 25. november 2025 11:44
Adressaat: Annika Sepp - MKM <[email-masked]
<mailto:[email-masked]> >
Teema: Clarification Requested: Definition of “Permanent Intermediation
Activity” for Cross-Border Temporary Agency Work

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Dear Annika,

I was directed to you by the Consumer Protection and Technical Regulatory
Authority (TTJA) regarding a clarification on the regulation of temporary
agency work in Estonia.

Our Icelandic company, Vinnuskipti ehf. (Swapp Agency), is registered in
Estonia as a non-resident employer. We provide cross-border temporary
agency work services from Iceland to foreign clients and, at present, we
only employ individuals in Estonia on an occasional basis.

We do not have any establishment, office, or permanent operational base in
Estonia. All management and administration remain in Iceland.

TTJA informed us that:

*	a branch and MTR registration are required only when the activity
is considered “permanent intermediation of temporary agency workers”, and
*	no MTR notice is required when services are provided on a
temporary, cross-border basis by an EEA undertaking, which appears to
match our current setup.

To ensure full and correct compliance, we would greatly appreciate
clarification on two points:

1. How is “permanent intermediation activity” defined under Estonian law?

Specifically, what criteria distinguish temporary cross-border service
provision from permanent activity that requires establishing a branch in
Estonia?

2. Does our current situation fall under temporary cross-border provision?

Our intention is to continue operating without any physical presence in
Estonia and only employ individuals occasionally for foreign clients.

For completeness, our Estonian accounting partner confirmed that a notice
of activity from a non-resident company can be submitted via notary, if at
any point it becomes necessary.

We would appreciate your confirmation that our present cross-border,
non-established activity does not require MTR registration or the
establishment of a branch under the Commercial Code.

Thank you very much for your guidance and support.

Best regards,

Stefan

COO – Vinnuskipti ehf. (Swapp Agency)

+354 868 5689

<https://r.superhuman.com/LvXzWJ_DbMuBayISc6kx63rQMH8LRK0FNdIkrHLcFNo9cHPc
uWhlpcL2ciBaWHTpHTpf3KPWHWkPCYmL7axnzxa_9U0xU0woyU1v0l5nlY_w1b2ewyhhKE3jwF
yvi5hBZ-O_oFnRYYCaG97bovErQL9fWVtcSWW1Mx7XRFOQBcYmQ4BJegZtoQi9DodNwmyDQZi3
yms.gif>

Stefán Darri Þórsson
Chief Operating Officer, COO

  _____

Work global, live local
 <https://swappagency.com/> www.swappagency.com

Please note that I will be on parental leave from 1st of July until 31st
of August 2025. I will return to work on Monday 1st of September 2025.